Get Payout Banks by Country
curl --request GET \
--url https://access.utgl.io/v1/payouts/{countryCode}/banks \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://access.utgl.io/v1/payouts/{countryCode}/banks"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://access.utgl.io/v1/payouts/{countryCode}/banks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"banks": [
{
"code": "ICBC",
"name": "Industrial and Commercial Bank of China"
},
{
"code": "CCB",
"name": "China Construction Bank"
},
{
"code": "ABC",
"name": "Agricultural Bank of China"
},
{
"code": "BOC",
"name": "Bank of China"
}
]
}{
"code": "COUNTRY_NOT_FOUND",
"message": "Country not found"
}{
"code": "COUNTRY_NOT_FOUND",
"message": "The specified country is not supported for payout operations"
}Payouts
Get Payout Banks by Country
Retrieve a list of available banks for payout in a specific country.
This endpoint returns the banks that are supported for payout operations in the specified country. The country is identified by its ISO 3166-1 alpha-2 country code.
GET
/
payouts
/
{countryCode}
/
banks
Get Payout Banks by Country
Authorizations
BasicBearer
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
ISO 3166-1 alpha-2 country code (e.g., "CN" for China, "US" for United States). The country code must be a valid 2-letter country code.
Pattern:
^[A-Z]{2}$Example:
"CN"
Response
Successfully retrieved list of banks for the specified country
List of available banks for payout in the specified country
Show child attributes
Show child attributes
Was this page helpful?

